<?php
/*
Template Name: Speakers Page
*/

?>

<?php get_header(); ?>
<?php the_post(); ?>
		
	<div id="container">
		<div id="content" role="main">
			<h1 class="title">Speakers</h1>
			<?php $loop = new WP_Query( array( 'post_type' => 'speakers', 'posts_per_page' => 50, 'orderby' => title, 'order' => ASC) ); ?>
			<div id="speakers">
				<?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
				<?php
				$new_title = get_the_title();
				$new_title = str_replace(' ', '', $new_title);
				echo "<a name=\"".$new_title."\"></a>";
				?>
				
				<div id="ind_speaker" style="clear: both; padding-top: 10px;">
					<div id="speaker_image_section" style="text-align: center; float: left; padding-right: 5px;">
						<img src="<?php echo get_post_meta($post->ID, 'speaker_img', true); ?>"><br />
						<?php if (get_post_meta($post->ID, 'speaker_url')) { ?><a href="<?php echo get_post_meta($post->ID, 'speaker_url', true); ?>" target="_blank">Website</a><?php } ?>
						|
						<?php if (get_post_meta($post->ID, 'speaker_twitter_url')) { ?><a href="http://twitter.com/<?php echo get_post_meta($post->ID, 'speaker_twitter_url', true); ?>" target="_blank">Twitter</a><?php } ?>
						<br />
						<?php if (get_post_meta($post->ID, 'speaker_pres_url')) { ?><a href="<?php echo get_post_meta($post->ID, 'speaker_pres_url', true); ?>" target="_blank">Presentation Slides</a><?php } ?>
					</div>
					<div id="speaker_info"><strong><a href="<?php echo get_permalink(); ?>"><?php echo get_the_title(); ?></a></strong><br />
						<p><?php echo get_post_meta($post->ID, 'speaker_bio', true); ?></p>
					</div>
				</div>
<?php endwhile; ?>
			</div>
		</div><!-- #content -->
	</div><!-- #container -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>		